body {
    background-color: black;
    margin: 0;
}

.content {
    background-color: rgba(43, 43, 43, 0.43);
    width: 338px;
    height: 265px;
    position: fixed;

    display: flex;
    flex-direction: column;

    z-index: 2;
    text-align: center;
}

#background {
    width: 338px;
    filter: blur(8px) opacity(70%);
    translate: 0 -40px;
    position: fixed;
    z-index: 1;
}

#coverart {
    z-index: 2;
    scale: 0.45;
    translate: 0 -65px;
    border: 2px outset rgba(255, 255, 255, 0.42);
    border-radius: 10px;
    filter: drop-shadow(6px 6px 11px black);
}

h1 {
    z-index: 2;
    translate: 0 -165px;
    font-size: 20pt;
    color: white;
    font-family: "gridlite-pe-variable", sans-serif;
    font-variation-settings:
        "wght" 800,
        "BACK" 10,
        "RECT" 10,
        "ELSH" 4;
}

#h2blur {
    width: 338px;
    translate: 0 -200px;
    mask-image: linear-gradient(to right, transparent 10%, black 20%, black 80%, transparent 90%);
}

h2 {
    z-index: 2;
    display: inline-block; /* Allows text to flow horizontally */
    animation: marquee-animation 60s linear infinite;
    white-space: nowrap;
    font-size: 16pt;
    color: white;
    font-family: "gridlite-pe-variable", sans-serif;
    font-variation-settings:
        "wght" 400,
        "BACK" 10,
        "RECT" 10,
        "ELSH" 4;
}

@keyframes marquee-animation {
    0% {
        /* Start fully visible */
        transform: translateX(0%);
    }
    100% {
        /* Move left by 50% of the combined content's width (assuming content is doubled) */
        /* This calculation makes the second duplicate perfectly replace the first */
        transform: translateX(-100%);
    }
}